/*
 * DAVIDS lets you find and view duplicates in your Spotify playlists.
 * Copyright (C) 2016  Gabriel Augendre <gabriel@augendre.info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

'use strict';
var React = require('react');
var ReactBootstrap = require('react-bootstrap');

var Duplicate = React.createClass({
    render: function () {
        var ListGroupItem = ReactBootstrap.ListGroupItem;
        var authors = "";
        this.props.track.artists.forEach(function (item, index) {
            if (index != 0) {
                authors += ', ';
            }
            authors += item.name;
        });
        return (
            <ListGroupItem>{this.props.track.name} - {authors}</ListGroupItem>
        );
    }
});

module.exports = Duplicate;
